%global srcname fiat

Name:           python-%{srcname}
Version:        2018.1.0
Release:        2%{?dist}
Summary:        Generation of arbitrary order instances of the Lagrange elements

License:        LGPLv2+
URL:            http://www.fenicsproject.org
Source0:        https://bitbucket.org/fenics-project/fiat/downloads/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%global _docdir_fmt %{name}

%description
The FInite element Automatic Tabulator FIAT supports generation of
arbitrary order instances of the Lagrange elements on lines, triangles,
and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-
type quadrature rules on the same element shapes. Upcoming versions
will also support Hermite and nonconforming elements as well as H(div)
and H(curl) elements such as Raviart-Thomas and Nedelec are supported
on triangles and tetrahedra.

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       python3-numpy
Requires:       python3-sympy

%description -n python3-%{srcname}
The FInite element Automatic Tabulator FIAT supports generation of
arbitrary order instances of the Lagrange elements on lines, triangles,
and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-
type quadrature rules on the same element shapes. Upcoming versions
will also support Hermite and nonconforming elements as well as H(div)
and H(curl) elements such as Raviart-Thomas and Nedelec are supported
on triangles and tetrahedra.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog.rst README.rst
%license COPYING COPYING.LESSER
%{python3_sitelib}/FIAT/
%{python3_sitelib}/*.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2018.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Sep 09 2018 Fabian Affolter <mail@fabian-affolter.ch> 2018.1.0-1
- Update to latest upstream release 2018.1.0
- Python 2 is no longer supported

* Sun Sep 09 2018 Jan Beran <jberan@redhat.com> - 1.6.0-12
- Fix missing Python 3 version of executables (rhbz#1436805)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
 
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.6.0-10
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.6.0-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Oct 15 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@laptop> - 1.6.0-2
- Remove unneeded PythonScientific dependency
- Convert to modern python packaging format and add python3 subpackage

* Sun Oct 11 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.0-1
- Update to new upstream 1.6.0 (rhbz#1247601)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 03 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.0.-1
- Update to new upstream 1.6.0 (rhbz#1247601)

* Thu Jul 31 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0.-1
- Spec file update
- Update to new upstream 1.4.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jan 24 2013 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1.0-1
- Update to version 1.1.0
- Fix the BuildRequires for LaTeX for F18 and beyond

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May 13 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0.0-3
- Add Requires: ScientificPython

* Thu May  3 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.0.0-2
- Build PDF of the manual
- Move executable scripts to %%{_bindir}

* Sat Feb 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0.-1
- Update to new upstream 1.0.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.9-1
- Update URL and description
- Update to new upstream version 0.9.9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.2-1
- Update to new upstream version 0.9.2
- Update source url

* Tue Feb 23 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Change source URL
- Add docs
- Update to new upsteram version 0.9.1

* Sun Dec 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Update to new upsteram version 0.3.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-2
- Fix license tag -> LGPLv2+

* Fri Jan 30 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-1
- Initial package for Fedora

